#
# spec file for package lirc-kernel (Version 0.8.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           lirc-kernel
BuildRequires:  kernel-source kernel-syms module-init-tools
License:        GPL v2 or later
Group:          System/Kernel
Summary:        LIRC kernel modules
Version:        0.8.2
Release:        6.1
Source0:        lirc-0.8.2.tar.bz2
Source1:        Makefile.module
Source2:        Makefile.modsub
Patch:          lirc-0.8.1-kernel_SLAB_ATOMIC.diff
Patch1:         lirc-0.8.1-imon_pad2keys.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%suse_kernel_module_package -n lirc kdump um debug

%description
this package is just a placeholder



%debug_package
%package -n lirc-KMP
License:        GPL v2 or later
Summary:        LIRC kernel modules
Group:          System/Kernel

%description -n lirc-KMP
LIRC kernel modules are required to support certain hardware such as
receivers for the serial port.



%prep
%setup -q -n lirc-0.8.2
pushd drivers
cp -av lirc_imon lirc_imon2
mv lirc_imon2/lirc_imon.c lirc_imon2/lirc_imon2.c
popd
#%patch -p1
%patch1 -p1
autoreconf -f -i
./configure --with-driver=all
cp -a drivers source
find source -name 'Makefile*'|xargs rm
ln -s . source/drivers
for i in source/lirc_*; do
	cp %{SOURCE2} $i/Makefile
done
cp %{SOURCE1} source/Makefile
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	 M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%changelog
* Fri Aug 10 2007 - lnussel@suse.de
- upgrade to 0.8.2 final, just minor changes
* Fri Jun 01 2007 - lnussel@suse.de
- update to 0.8.2pre3:
  * added support for TechnoTrend USB IR receiver (Stefan Macher)
  * automatic release event generation in lircd
  * added support for Apple Mac mini USB IR Receiver (Stephen Williams)
  * added support for ADSTech USBX-707 USB IR Blaster (Jelle Foks)
  * periodically try to reopen lirc device if reading fails (probably
  because USB device has been removed)
  * added support for Creative USB IR Receiver (SB0540) (Benjamin Drung)
  * lirc_mceusb2 supports setting carrier frequency
  * added support for Asus DH remote (Brice DUBOST, Bernhard
  Frauendienst)
  * fixed show-stopper bug in RC-6 transmit code
  * added support for Kanam Accent (Niccolo Rigacci)
  * added support for SoundGraph iMON 2.4G DT & LT (Morten Bogeskov)
* Fri Jun 01 2007 - lnussel@suse.de
- disable lirc_gpio as it doesn't build with 2.6.22
* Mon Apr 23 2007 - hvogel@suse.de
- Added imon2 driver that is a copy of imon with the pad2key
  patch from M. Brakemeier
* Wed Apr 04 2007 - lrupp@suse.de
- added module-init-tools to BuildRequires
* Tue Feb 27 2007 - ro@suse.de
- specfile: lirc-kernel-KMP should be lirc-KMP
- remove NoSource from specfile
* Mon Jan 15 2007 - lnussel@suse.de
- also build xen kernel module (#233999)
* Fri Jan 12 2007 - lnussel@suse.de
- fix kernel module build: SLAB_ATOMIC -> GFP_ATOMIC
* Thu Jan 11 2007 - lnussel@suse.de
- new version 0.8.1
  * added support for USB-UIRT
  * added transmitter support for new version of Windows Media
  Center transceiver
  * added support for Iguanaworks USB IR Transceiver
* Mon Aug 21 2006 - ro@suse.de
- fix build with 2.6.18 (from cvs)
* Thu Feb 16 2006 - lnussel@suse.de
- remove redundant vermagic line from igorplugusb as it apparently
  confuses some magic kernel package script
* Wed Feb 08 2006 - agruen@suse.de
- Rename lirc-kernel-kmp-* to lirc-kmp-*.
* Tue Feb 07 2006 - lnussel@suse.de
- serial and sir fail on ppc, skip them
- bt829, it87 and parallel fail on s390, skip them
* Thu Feb 02 2006 - lnussel@suse.de
- initial kernel module package
